<?php
$description = <<<END_OF_HTML
<p>The <em>/api/filter/query</em> part of the filter let's you query the API for a set of columns, matching a specific criteria. To give you examples of this, you could ask for <em>/api/filter/</em></p>

<p>For an example query, try loading this: <a href="/api/filter/query?query=[hosts] all&columns=name,state,acknowledged,has_been_checked">/api/filter/query?query=[hosts] all&columns=name,state,acknowledged,has_been_checked</a></p>

<h2>Building URLs</h2>
<ul>
	<li>Always remember to urlencode the each GET parameter.</li>
	<li>You can reuse the queries you already have in place in the Monitor GUI.</li>
	<li>All tables and columns are documented in the article <a href="${docs_url}topics/other-documents/gui-ninja/listview-filter-columns.html" target="_blank">Listview filter columns</a>.</li>
</ul>
END_OF_HTML;
