<?php

/**
 * A string widget, used for notes_url fields
 * $class = false is needed to resolve PHP class method
 * override rules
 */
class Notesurl_Nacomawidget extends String_Nacomawidget {
	function render($obj, $token, $value, $class = false) {
		$type = $obj->type;
		if (strpos($type, 'template') !== false)
			$type = substr($type, 0, strpos($type, '_template'));
		if ($type === 'service') {
			$url = 'hosts/$HOSTNAME$/$SERVICEDESC$';
		}
		else {
			$url = $type.'s/$'.strtoupper($type).'NAME$';
		}
		parent::render($obj, $token, $value);
	}
}
